package com.steering.pss.qcm.model;

/**
 * 制程
 * 
 * @author Administrator
 * 
 */
public class CraftOrdDesignMscPlEntity {
	private String processNo;

	private String processName;

	public String getProcessNo() {
		return processNo;
	}

	public void setProcessNo(String processNo) {
		this.processNo = processNo;
	}

	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}

	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 */
	private String mscPline = "";
	/**
	 * 全程途径码
	 */
	private String wholeBacklog = "";
	/**
	 * 全程途径描述
	 */
	private String wholeBacklogDesc = "";
	/**
	 * 是否设定制程(0:否;1:是)
	 */
	private String setFl = "";
	/**
	 * 警告信息
	 */
	private String warnDesc = "";
	/**
	 * 合同号
	 */
	private String ordLnPk = "";
	private String autoCraft = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 全程途径码
	 * 
	 * @return value
	 */
	public String getWholeBacklog() {
		return wholeBacklog;
	}

	/**
	 * 全程途径码
	 * 
	 * @param wholeBacklog
	 *            value
	 */
	public void setWholeBacklog(String wholeBacklog) {
		this.wholeBacklog = wholeBacklog;
	}

	/**
	 * 全程途径描述
	 * 
	 * @return value
	 */
	public String getWholeBacklogDesc() {
		return wholeBacklogDesc;
	}

	/**
	 * 全程途径描述
	 * 
	 * @param wholeBacklogDesc
	 *            value
	 */
	public void setWholeBacklogDesc(String wholeBacklogDesc) {
		this.wholeBacklogDesc = wholeBacklogDesc;
	}

	/**
	 * 是否设定制程(0:否;1:是)
	 * 
	 * @return value
	 */
	public String getSetFl() {
		return setFl;
	}

	/**
	 * 是否设定制程(0:否;1:是)
	 * 
	 * @param setFl
	 *            value
	 */
	public void setSetFl(String setFl) {
		this.setFl = setFl;
	}

	/**
	 * 警告信息
	 * 
	 * @return value
	 */
	public String getWarnDesc() {
		return warnDesc;
	}

	/**
	 * 警告信息
	 * 
	 * @param warnDesc
	 *            value
	 */
	public void setWarnDesc(String warnDesc) {
		this.warnDesc = warnDesc;
	}

	/**
	 * 合同号
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * 合同号
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}
	
	public String getAutoCraft() {
		return autoCraft;
	}

	public void setAutoCraft(String autoCraft) {
		this.autoCraft = autoCraft;
	}
}
